buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rhett Sutphin (JIRA)" <j...@apache.org>
Subject [jira] Created: (BUILDR-341) jruby -S extract is no longer supported by jruby
Date Tue, 17 Nov 2009 00:15:39 GMT
jruby -S extract is no longer supported by jruby
------------------------------------------------

                 Key: BUILDR-341
                 URL: https://issues.apache.org/jira/browse/BUILDR-341
             Project: Buildr
          Issue Type: Bug
          Components: JRuby
    Affects Versions: 1.3.5
         Environment: Any
            Reporter: Rhett Sutphin


As of JRuby 1.2 (per http://jira.codehaus.org/browse/JRUBY-3402 ), java -jar jruby-complete.jar
-S extract is no longer supported.  Buildr still offers to use it if you don't have jruby
installed (or JRUBY_HOME set).  This results in the following dialog and failure:

<pre>
You need to install JRuby version 1.3.1 using your system package manager.
Or you can just execute the following command:    java -jar /Users/rsutphin/.m2/repository/org/jruby/jruby-complete/1.3.1/jruby-complete-1.3.1.jar
-S extract '/Users/rsutphin/.jruby'
Do you want me to execute it for you? [y/N]
y
Running java -jar
/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home/bin/java -jar /Users/rsutphin/.m2/repository/org/jruby/jruby-complete/1.3.1/jruby-complete-1.3.1.jar
-S extract /Users/rsutphin/.jruby
jruby: No such file, directory, or command -- extract
Test framework error: JRUBY_HOME is not correctly set or points to an invalid JRuby installation:
/Users/rsutphin/.jruby
</pre>

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message